class ruby {

file { '/opt/install-ruby.sh':
  path     => '/opt/install-ruby.sh',
  ensure   => file,
  source   => ['puppet:///modules/ruby/install-ruby.sh'],
  mode     => '0755',
  owner    => 'root',
  group    => 'root',
}

exec { 'ruby_install':
  command  => '/opt/install-ruby.sh',
  user     => 'root',
}

file { '/etc/yum.repos.d/sensu.repo':
  path     => '/etc/yum.repos.d/sensu.repo',
  ensure   => file,
  source   => ['puppet:///modules/ruby/sensu.repo'],
  mode     => '0755',
  owner    => 'root',
  group    => 'root',
}

}
